import request from '@/utils/request';

export const getWaterloggedRoadsList = (data) => {
  return request({
    url: '/api/gateway/v1/get_waterlogged_roads_list',
    method: 'post',
    data: data
  });
};

export const getWaterloggedAllVideoInfo = (params) => {
  return request({
    url: '/api/videoResource/videoinfo/get_waterlogged_all_video_info',
    method: 'get',
    params: params
  });
};

export const getWaterloggedRoadsUpdateTime = () => {
  return request({
    url: 'api/gateway/v1/get_waterlogged_roads_update_time',
    method: 'get'
  });
};
